Bug 30 - CD with only CD stub in MusicBrainz throws exception
Summary: CD with only CD stub in MusicBrainz throws exception
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: CD lookup (show other bugs)
Version: unspecified
Hardware: All All
: Normal normal
Assignee: Steve McIntyre
URL:
Depends on:
Blocks:
 
Reported: 2016-05-23 17:38 BST by abcde
Modified: 2017-01-14 16:51 GMT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description abcde 2016-05-23 17:38:58 BST
version 2.7.2-1 on debian testing

A CD with a stub only (i.e. not a full MusicBrainz record) will throw an error. I don't know if enough information is returned from MusicBrainz for a stub to continue on or if abcde would have to give up anyway, but the exception is confusing, especially the first time. This is the session for "Captain & Tennille" "Love Will Keep Us Together". By the time you get to this I will probably have created a full record for this, so I can't provide you with a reproduction.

session showing the exception:

euterpe@euterpe:~/Music$ abcde
Executing customizable pre-read function... done.
Getting CD track info... Querying the CD for audio tracks...
Grabbing entire CD - tracks: 01 02 03 04 05 06 07 08 09 10 11
Obtaining Musicbrainz results...
Can't call method "events" on an undefined value at /usr/bin/abcde-musicbrainz-tool line 98.
No CDDB information found, trying cdtext from the CD
No Musicbrainz match.
---- Unknown Artist / Unknown Album ----
1: Track 1
2: Track 2
3: Track 3
4: Track 4
5: Track 5
6: Track 6
7: Track 7
8: Track 8
9: Track 9
10: Track 10
11: Track 11

Edit selected CDDB data [Y/n]? ^C
euterpe@euterpe:~/Music$ rm -r abcde.prVpjA9r6t5L2nttPy3Zll0nkW4-/
Comment 1 Steve McIntyre 2017-01-12 16:02:07 GMT
Thanks for the report. I've already added guarding in this area for CD releases without year data. I'll add more to look if events even exist too!
Comment 2 Steve McIntyre 2017-01-14 16:51:17 GMT
Fix released in 2.8